package com.dahe.glex.bean

import retrofit2.http.GET

/**
 * @ClassName UserBean
 * @Author 用户
 * @Date 2023/9/21 09:52
 * @Description TODO
 */
data class UserBean(
    var access_token :String,
    var token :String,
    var userid :String,
    var id :String,
    var roleId :String,
    var contactPhone :String,
    var uname :String,
    var registerPhone :String,
    var companyName :String,
    var account :String,
    var headportraitUrl :String,
    var salt :String,
    var jumpUrl :String,
    var distance :String,
    var idCardValidity :String,
    var driverValidity :String,
    var driverId :String,
    var qualificationValidity :String,
    var isCar :String,
    var qrcodeUrl :String,
    var expires_in :Int,
    var credit :String,
    var isCarCaptain :String,//是否是车队长（0=否,1=是,9=未选择）
    var contactName :String,
    var idcardName :String,
    var isRealName :String,
    var avatar :String,
    var approvedType :String,//准驾类型
    var partyMemberCertification :String,//党员认证(0=未认证,1=已认证)
    var captainId :String
    )

data class UserDetail(
    val createBy: String,
    val createTime: String,
    val driverBankcardAddress: String,
    val driverBankcardNumber: String,
    val driverBankcardPhotoUrl: String,
    val driverId: Int,
    val idcardAddress: String,
    val idcardBackUrl: String,
    val idcardEffectiveEnd: String,
    val idcardEffectiveStart: String,
    val idcardEthnicity: String,
    val idcardFrontUrl: String,
    val idcardIsEndless: String,
    val idcardName: String,
    val idcardNo: String,
    val idcardSex: String,
    val licenseApproveOrganization: String,
    val licenseEffectiveEnd: String,
    val licenseEffectiveStart: String,
    val licenseFirstGetDate: String,
    val licenseName: String,
    val licenseNo: String,
    val licensePhotoBackUrl: String,
    val licensePhotoFaceUrl: String,
    val licenseRecordNumber: String,
    val licenseType: String,
    val qualificationCertificateEffectiveEnd: String,
    val qualificationCertificateExamineDate: String,
    val qualificationCertificateNo: String,
    val qualificationCertificatePhotoUrl: String,
    val remark: String,
    val taxpayerCaptainId: String,
    val updateBy: String,
    val updateTime: String
)

